Bug 1007707 - Can't use yum to install "dracut-fips" in rhel6.5-alpha-1.1
Can't use yum to install "dracut-fips" in rhel6.5-alpha-1.1
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dracut (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: ---
Assigned To: Harald Hoyer
Release Test Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 03:48 EDT by xingge
Modified: 2016-09-19 22:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 02:44:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xingge 2013-09-13 03:48:34 EDT
Description of problem:
Can't use yum to install "dracut-fips" in rhel6.5-alpha-1.1

Version-Release number of selected component (if applicable):
yum-3.2.29-40.el6.noarch
dracut-004-327.el6.noarch
dracut-kernel-004-327.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.register the system and attach a avalible subscription.
2.install dracut-fips with yum
#yum install dracut-fips

Actual results:

[root@localhost ~]# yum install dracut-fips -y
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
rhel-6-server-cf-tools-1-rpms                                                                         | 2.8 kB     00:00     
rhel-6-server-rhev-agent-rpms                                                                         | 3.1 kB     00:00     
rhel-6-server-rpms                                                                                    | 3.7 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package dracut-fips.noarch 0:004-303.el6 will be installed
--> Processing Dependency: dracut = 004-303.el6 for package: dracut-fips-004-303.el6.noarch
--> Processing Dependency: hmaccalc for package: dracut-fips-004-303.el6.noarch
--> Running transaction check
---> Package dracut-fips.noarch 0:004-303.el6 will be installed
--> Processing Dependency: dracut = 004-303.el6 for package: dracut-fips-004-303.el6.noarch
---> Package hmaccalc.x86_64 0:0.9.12-1.el6 will be installed
--> Finished Dependency Resolution
Error: Package: dracut-fips-004-303.el6.noarch (rhel-6-server-rpms)
           Requires: dracut = 004-303.el6
           Installed: dracut-004-327.el6.noarch (@anaconda-RedHatEnterpriseLinux-201309051642.x86_64/6.5)
               dracut = 004-327.el6
           Available: dracut-004-32.el6.noarch (rhel-6-server-rpms)
               dracut = 004-32.el6
           Available: dracut-004-33.el6_0.noarch (rhel-6-server-rpms)
               dracut = 004-33.el6_0
           Available: dracut-004-33.2.el6_0.noarch (rhel-6-server-rpms)
               dracut = 004-33.2.el6_0
           Available: dracut-004-53.el6.noarch (rhel-6-server-rpms)
               dracut = 004-53.el6
           Available: dracut-004-53.el6_1.1.noarch (rhel-6-server-rpms)
               dracut = 004-53.el6_1.1
           Available: dracut-004-256.el6.noarch (rhel-6-server-rpms)
               dracut = 004-256.el6
           Available: dracut-004-256.el6_2.1.noarch (rhel-6-server-rpms)
               dracut = 004-256.el6_2.1
           Available: dracut-004-283.el6.noarch (rhel-6-server-rpms)
               dracut = 004-283.el6
           Available: dracut-004-284.el6_3.noarch (rhel-6-server-rpms)
               dracut = 004-284.el6_3
           Available: dracut-004-284.el6_3.1.noarch (rhel-6-server-rpms)
               dracut = 004-284.el6_3.1
           Available: dracut-004-303.el6.noarch (rhel-6-server-rpms)
               dracut = 004-303.el6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

[root@localhost ~]# yum install dracut-fips -y --skip-broken
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
rhel-6-server-cf-tools-1-rpms                                                                         | 2.8 kB     00:00     
rhel-6-server-rhev-agent-rpms                                                                         | 3.1 kB     00:00     
rhel-6-server-rpms                                                                                    | 3.7 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package dracut-fips.noarch 0:004-303.el6 will be installed
--> Processing Dependency: dracut = 004-303.el6 for package: dracut-fips-004-303.el6.noarch
--> Processing Dependency: hmaccalc for package: dracut-fips-004-303.el6.noarch
--> Running transaction check
---> Package dracut-fips.noarch 0:004-303.el6 will be installed
--> Processing Dependency: dracut = 004-303.el6 for package: dracut-fips-004-303.el6.noarch
---> Package hmaccalc.x86_64 0:0.9.12-1.el6 will be installed

Packages skipped because of dependency problems:
    dracut-fips-004-303.el6.noarch from rhel-6-server-rpms
    hmaccalc-0.9.12-1.el6.x86_64 from rhel-6-server-rpms


Expected results:
The installation should succeed with no errors.

Additional info:
Comment 1 Harald Hoyer 2013-09-13 06:16:16 EDT
Well, it seems you yum repo picks up an old dracut-fips version.

Fix the yum repo.
Comment 2 xingge 2013-09-15 23:31:02 EDT
I use the rhel6.4 default configuration, and I don't think we can just told our customer "Fix the yum repo", they probably don't know what's the repo mean.
Comment 3 xingge 2013-09-16 02:44:07 EDT
May be cdn is not prepared for rhel6.5 so use the other way to install the dracut-fips package.

Note You need to log in before you can comment on or make changes to this bug.